Уязвимость BDU:2020-01317

Дата: 03.05.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01317.

Наименование уязвимости: Уязвимость функции ImagickKernel::fromMatrix() расширения php-imagick для PHP, позволяющая нарушителю вызвать отказ в обслуживании или выполнить произвольный код.

Описание уязвимости: Уязвимость функции ImagickKernel::fromMatrix() расширения php-imagick для PHP связана с записью за границами буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании или выполнить произвольный код
Уязвимое ПО: Операционная система Fedora Project Fedora 28 | Операционная система ООО «РусБИТех-Астра» Astra Linux 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Fedora Project Fedora 29 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Fedora Project Fedora 30 | Операционная система ООО «РусБИТех-Астра» Astra Linux 8.1 «Ленинград» | Прикладное ПО информационных систем PHP Group Imagick от 3.3.0 до 3.4.4 включительно |

Наименование ОС и тип аппаратной платформы: Fedora 28 | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Fedora 29 | OpenSUSE Leap 151 | Fedora 30 | Astra Linux 81 «Ленинград» |
Дата выявления: 03.05.2019.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Использование рекомендаций:
Для php-imagick:
https://bugs.php.net/bug.php?id=77791

Для программных продуктов Novell Inc.:
http://lists.opensuse.org/opensuse-security-announce/2020-01/msg00016.html

Для Fedora:
https://lists.fedoraproject.org/archives/list/[email protected]t.org/message/7MQ7WJA25YF2R2LRALK4QEYWUHHJPSUD/
https://lists.fedoraproject.org/archives/list/[email protected]/message/BU66V7QJKD32RXLY5J7Z5NZH4V3VV524/
https://lists.fedoraproject.org/archives/list/[email protected]/message/FME5ZG7DDYWUPPHTTAFJB5OFFCPXYHPS/

Для Debian GNU/Linux:
Обновление программного обеспечения (пакета php-imagick) до 3.4.3~rc2-2+deb9u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета php-imagick) до 3.4.3~rc2-2+deb9u1 или более поздней версии
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-11037.

Тип ошибки CWE: CWE-787
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://bugs.php.net/bug.php?id=77791
http://lists.opensuse.org/opensuse-security-announce/2020-01/msg00016.html
https://lists.fedoraproject.org/archives/list/[email protected]/message/7MQ7WJA25YF2R2LRALK4QEYWUHHJPSUD/
https://lists.fedoraproject.org/archives/list/[email protected]/message/BU66V7QJKD32RXLY5J7Z5NZH4V3VV524/
https://lists.fedoraproject.org/archives/list/[email protected]/message/FME5ZG7DDYWUPPHTTAFJB5OFFCPXYHPS/
https://www.debian.org/security/2019/dsa-4576
https://security-tracker.debian.org/tracker/CVE-2019-11037
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20200327SE16
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20200429SE81

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *